> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Wallet

> Export wallet mnemonic phrase or private key.

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml post /wallets/export
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /wallets/export:
    post:
      tags:
        - Wallets
      summary: Export Wallet
      description: Export wallet mnemonic phrase or private key.
      operationId: wallets_export
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExportWalletRequest'
            examples:
              Example1:
                value:
                  network: Polygon
                  address: '0x976Cf57B7EE1D84E73BE9115457889d49a8A1335'
                  user_pin: '123456'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportWalletResponse'
              examples:
                Example1:
                  value:
                    mnemonic_phrase: >-
                      candy maple cake sugar pudding cream honey rich smooth
                      crumble sweet treat
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    ExportWalletRequest:
      title: ExportWalletRequest
      type: object
      properties:
        network:
          $ref: '#/components/schemas/Network'
        address:
          type: string
          example: '0x976Cf57B7EE1D84E73BE9115457889d49a8A1335'
        user_pin:
          $ref: '#/components/schemas/UserPin'
      required:
        - network
        - address
        - user_pin
    ExportWalletResponse:
      title: ExportWalletResponse
      type: object
      properties:
        mnemonic_phrase:
          type: string
          nullable: true
        private_key:
          type: string
          nullable: true
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    UserPin:
      title: UserPin
      type: string
      nullable: true
      description: >-
        A 6-digit numeric pin that is only known to the user, set during wallet
        creation. This pin is required to sign transactions from this wallet.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````